6
installing Firefox 3.5 the right way in Ubuntu Jauntyview story

http://www.ubuntusolutions.org – When searching inside of Synaptic Package Manager or using apt-cache, you are going to find firefox-3.5. Unfortunately, it's been there since the release of Jaunty and it has not been updated since then. At the moment, only the beta 4 for is available and believe me you don't want it. (HowTos)

3
10 Things to consider before upgrading/installing Jauntyview story

http://tuxfreaks.com – Ubuntu Jaunty Jackalope has the new version of X.org server(1.6).So it doesnt support the older ATI graphics card.If you like to have 3D support (compiz/games) ,sorry folks,the open source graphics drivers for ATI do not have 3D support (HowTos)